# std::basic_ofstream<CharT,Traits>::is_open

From cppreference.com
< cpp‎ | io‎ | basic ofstream

bool is_open(); |  | (until C++11)
bool is_open() const; |  | (since C++11)

Checks if the file stream has an associated file.

Effectively calls `rdbuf()->is_open()`.

### Parameters

(none)

### Return value

true if the file stream has an associated file, false otherwise

### Example

| This section is incomplete Reason: no example

### See also

open | opens a file and associates it with the stream (public member function)
close | closes the associated file (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_ofstream/is_open&oldid=50851"